<script lang="ts" setup>
import type { Unit } from "@/scripts/api-helper";
import { type PropType, reactive } from "vue";
import { useRouter } from "vue-router";
import UnitCard from "@/components/UnitCard.vue";

const router = useRouter();

const state = reactive({
  panels: [],
});

defineProps({
  units: {
    type: Object as PropType<Unit[]>,
    required: true,
  },
});
</script>

<template>
  <v-expansion-panels v-model="state.panels" multiple>
    <v-expansion-panel title="Sous unités" value="teams">
      <v-expansion-panel-text>
        <div
          class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 2xl:grid-cols-4 gap-4"
        >
          <UnitCard
            v-for="u in units"
            v-bind:key="u.unit_code"
            :icon="null"
            :subtitle="u.code"
            :title="u.display_name"
            @click="router.push(`/units/${u.code}`)"
          />
        </div>
      </v-expansion-panel-text>
    </v-expansion-panel>
  </v-expansion-panels>
</template>

<style scoped></style>
